package jp.cssj.cti.helpers;

/**
 * @author <a href="mailto:miyabe at gnn.co.jp">MIYABE Tatsuhiko </a>
 * @version $Id: NullErrorHandler.java,v 1.2 2005/08/18 04:51:26 harumanx Exp $
 */
public final class NullErrorHandler extends ErrorHandler {
	private static NullErrorHandler instance = null;

	public static NullErrorHandler getInstance() {
		if (instance == null) {
			instance = new NullErrorHandler();
		}
		return instance;
	}

	private NullErrorHandler() {
		// singleton
	}

	public void message(byte level, String message) {
		// ignore
	}
}